Price List
API to get pricelist of IDSL prepaid products.
Path
| Method | Path |
|---|---|
| POST | v1/legacy/index/:type/:operator |
Path Parameters
| Attributes | Type | Description | Mandatory |
|---|---|---|---|
| type | String | Product type. See here for product type list | No |
| operator | String | Product operator. See here for product operator list | No |
Request Body
| Attributes | Type | Description | Mandatory |
|---|---|---|---|
| commands | String | Value: pricelist | Yes |
| username | String | Your registered phone number | Yes |
| sign | String | Signature. Value: md5(username+api_key+'pl') | Yes |
| status | String | Product status. Value: all, active, non active | No |
| currency | String | Currency IDR or USD default: IDR | No |
{
"commands" : "pricelist",
"username" : "123123123",
"sign" : "6bc194c0d23c18a12f5d6919aa72bc30",
"status" : "all",
"currency" : "IDR"
}
Response
| Attributes | Type | Description | Mandatory |
|---|---|---|---|
| pulsa_code | String | Product code | Yes |
| pulsa_op | String | Product operator name | Yes |
| pulsa_details | String | Product description | Yes |
| pulsa_nominal | String | Product denomination | Yes |
| pulsa_price | Double | Product price | Yes |
| pulsa_type | String | Product type | Yes |
| masaaktif | String | Product aActive time period of reload (only applied for pulsa and data) | Yes |
| status | String | Product status. Value: active, non active | Yes |
| icon_url | String | URL icon for each product | Yes |
| pulsa_category | String | Product category | Yes |
| currency | String | Currency | Yes |
{
"data": [
{
"pulsa_code": "alfamart100",
"pulsa_op": "Alfamart Voucher",
"pulsa_nominal": "Voucher Alfamart Rp 100.000",
"pulsa_details": "-",
"pulsa_price": 100000,
"pulsa_type": "voucher",
"masaaktif": "0",
"status": "active",
"icon_url": "https://cdn.mobileproduct.net/img/product/operator_list/140119034649-Alfa-01.png",
"pulsa_category": "voucher",
"currency": "IDR"
},
{
"pulsa_code": "altel10",
"pulsa_op": "Malaysia Topup",
"pulsa_nominal": "10",
"pulsa_details": "-",
"pulsa_price": 39750,
"pulsa_type": "malaysia",
"masaaktif": "0",
"status": "active",
"icon_url": "-",
"pulsa_category": "international",
"currency": "IDR"
},
{
"pulsa_code": "altel100",
"pulsa_op": "Malaysia Topup",
"pulsa_nominal": "100",
"pulsa_details": "-",
"pulsa_price": 397500,
"pulsa_type": "malaysia",
"masaaktif": "0",
"status": "active",
"icon_url": "-",
"pulsa_category": "international",
"currency": "IDR"
}
]
}
Live Testing
Request URL
https://testprepaid.mobilepulsa.net/v1/legacy/index
Request Method
Request Header
Content-Type: application/json
Body
Result
Table of Contents